unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, DBGrids, StdCtrls, Buttons, ExtCtrls, DBCtrls;

type
  TForm3 = class(TForm)
    Panel1: TPanel;
    Edit1: TEdit;
    Label1: TLabel;
    Edit2: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    Edit4: TEdit;
    Edit5: TEdit;
    Label5: TLabel;
    Bevel1: TBevel;
    BitBtn2: TBitBtn;
    BitBtn1: TBitBtn;
    Label6: TLabel;
    Label7: TLabel;
    Edit6: TEdit;
    Label8: TLabel;
    Edit7: TEdit;
    Edit8: TEdit;
    Edit9: TEdit;
    Edit10: TEdit;
    Edit11: TEdit;
    Edit12: TEdit;
    Edit13: TEdit;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    BitBtn3: TBitBtn;
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;
  p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11,p12,p13:string;
  z1,z2,z3,z4,z5,z6,z7,z8,z9,z10,z11,z12,z13:string;

implementation

{$R *.DFM}

procedure TForm3.BitBtn2Click(Sender: TObject);
begin
  with form3 do
  begin
edit1.ReadOnly:=false;
edit2.ReadOnly:=false;
edit3.ReadOnly:=false;
edit4.ReadOnly:=false;
edit5.ReadOnly:=false;
edit6.ReadOnly:=false;
edit7.ReadOnly:=false;
edit8.ReadOnly:=false;
edit9.ReadOnly:=false;
edit10.ReadOnly:=false;
edit11.ReadOnly:=false;
edit12.ReadOnly:=false;
edit13.ReadOnly:=false;

    panel1.visible:=false;
    height:=315;
    width:=665;
    color:=clwhite;
    print;
    color:=clbtnface;
    panel1.visible:=true;
    height:=370;
    width:=665;
edit1.ReadOnly:=true;
edit2.ReadOnly:=true;
edit3.ReadOnly:=true;
edit4.ReadOnly:=true;
edit5.ReadOnly:=true;
edit6.ReadOnly:=true;
edit7.ReadOnly:=true;
edit8.ReadOnly:=true;
edit9.ReadOnly:=true;
edit10.ReadOnly:=true;
edit11.ReadOnly:=true;
edit12.ReadOnly:=true;
edit13.ReadOnly:=true;


  end

end;

procedure TForm3.BitBtn3Click(Sender: TObject);
begin
p1:=edit1.text;
p2:=edit2.text;
p3:=edit3.text;
p4:=edit4.text;
p5:=edit5.text;
p6:=edit6.text;
p7:=edit7.text;
p8:=edit8.text;
p9:=edit9.text;
p10:=edit10.text;
p11:=edit11.text;
p12:=edit12.text;
p13:=edit13.text;
edit1.ReadOnly:=false;
edit2.ReadOnly:=false;
edit3.ReadOnly:=false;
edit4.ReadOnly:=false;
edit5.ReadOnly:=false;
edit6.ReadOnly:=false;
edit7.ReadOnly:=false;
edit8.ReadOnly:=false;
edit9.ReadOnly:=false;
edit10.ReadOnly:=false;
edit11.ReadOnly:=false;
edit12.ReadOnly:=false;
edit13.ReadOnly:=false;

end;

procedure TForm3.BitBtn1Click(Sender: TObject);
begin
z1:=edit1.text;
z2:=edit2.text;
z3:=edit3.text;
z4:=edit4.text;
z5:=edit5.text;
z6:=edit6.text;
z7:=edit7.text;
z8:=edit8.text;
z9:=edit9.text;
z10:=edit10.text;
z11:=edit11.text;
z12:=edit12.text;
z13:=edit13.text;
if p1<>z1 then p1:=z1;
if p2<>z2 then p2:=z2;
if p3<>z3 then p3:=z3;
if p4<>z4 then p4:=z4;
if p5<>z5 then p5:=z5;
if p6<>z6 then p6:=z6;
if p6<>z6 then p6:=z6;
if p7<>z7 then p7:=z7;
if p8<>z8 then p8:=z8;
if p9<>z9 then p9:=z9;
if p10<>z10 then p10:=z10;
if p11<>z11 then p11:=z11;
if p12<>z12 then p12:=z12;
if p13<>z13 then p13:=z13;
edit1.text:=p1;
edit2.text:=p2;
edit3.text:=p3;
edit4.text:=p4;
edit5.text:=p5;
edit6.text:=p6;
edit7.text:=p7;
edit8.text:=p8;
edit9.text:=p9;
edit10.text:=p10;
edit11.text:=p11;
edit12.text:=p12;
edit13.text:=p13;


end;

end.
